Create an issue

Creates a new issue.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

The issue of the dto transfer, It's presentation with the create issue request from client.

issueCategoryIdstring · nullableOptional

The id of the issue category.

parentIdstring · nullableOptional

The parent id of the issue. If the issue is sub-issue, it's parent id is the parent issue id.

contentstring · min: 1Required

The content of the issue.

refIdinteger · int64Optional

The referrer id of the issue.

refObjectstring · nullableOptional

The referrer object of the issue.

refTypeinteger · int32 · nullableOptional

The referrer type of the issue.

assigneeIdstring · nullableOptional

Assignee user id of the issue.

prioritystring · enumOptional

Provides the values for the Issue Priority of the Issue entity.

Possible values:
namestring · nullableOptional

The name of the issue.

descriptionstring · nullableOptional

The description of the issue.

issueCcstring · nullableOptional

The cc of the issue. This value is the email address of the user.

tagsstring · nullableOptional

The tags of the issue. This value is the tags of the issue.

Responses
chevron-right
201

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

post
/api/v1/issues

Last updated